#pragma once

#include "detail/type.h"
#include "detail/lazy_io_awaiter.h"
namespace co_context {
	inline namespace lazy {
        inline detail::lazy_write
        write(int fd, std::span<const char> buf, uint64_t offset) noexcept {
            return detail::lazy_write{fd, buf , offset};
        }
	}
}